Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.securechannel
Class InsecureChannelProcessor

    java.lang.Object
      org.acegisecurity.securechannel.InsecureChannelProcessor

All Implemented Interfaces:
  ChannelProcessor, InitializingBean

    public class InsecureChannelProcessor

extends Object
implements InitializingBean, ChannelProcessor

Ensures channel security is inactive by review of `HttpServletRequest.isSecure()` responses.

The class responds to one case-sensitive keyword, `getInsecureKeyword()`. If this keyword is detected, `HttpServletRequest.isSecure()` is used to determine the channel security offered. If channel security is present, the configured `ChannelEntryPoint` is called. By default the entry point is `RetryWithHttpEntryPoint`.

The default `insecureKeyword` is `REQUIRES_INSECURE_CHANNEL`.

Version:
  $Id: InsecureChannelProcessor.java,v 1.3 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`InsecureChannelProcessor()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `decide(FilterInvocation invocation, ConfigAttributeDefinition config)` Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.
`ChannelEntryPoint` | `getEntryPoint()`
`String` | `getInsecureKeyword()`
`void` | `setEntryPoint(ChannelEntryPoint entryPoint)`
`void` | `setInsecureKeyword(String secureKeyword)`
`boolean` | `supports(ConfigAttribute attribute)` Indicates whether this `ChannelProcessor` is able to process the passed `ConfigAttribute`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsecureChannelProcessor

    public InsecureChannelProcessor()

Method Detail

### setEntryPoint

    public void setEntryPoint(ChannelEntryPoint entryPoint)

### getEntryPoint

    public ChannelEntryPoint getEntryPoint()

### setInsecureKeyword

    public void setInsecureKeyword(String secureKeyword)

### getInsecureKeyword

    public String getInsecureKeyword()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### decide

    public void decide(FilterInvocation invocation,
                       ConfigAttributeDefinition config)
                throws IOException,
                       javax.servlet.ServletException

  Description copied from interface: `ChannelProcessor`
  Decided whether the presented `FilterInvocation` provides the appropriate level of channel security based on the requested `ConfigAttributeDefinition`.

  Specified by:
    `decide` in interface `ChannelProcessor`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### supports

    public boolean supports(ConfigAttribute attribute)

  Description copied from interface: `ChannelProcessor`
  Indicates whether this `ChannelProcessor` is able to process the passed `ConfigAttribute`.

  This allows the `ChannelProcessingFilter` to check every configuration attribute can be consumed by the configured `ChannelDecisionManager`.

  Specified by:
    `supports` in interface `ChannelProcessor`
  Parameters:
    `attribute` - a configuration attribute that has been configured against the `ChannelProcessingFilter`
  Returns:
    true if this `ChannelProcessor` can support the passed configuration attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.